KDE 4.2 PyKDE API Reference for Marble

- KDE's Python API

# SunLocator Class Reference

`from PyKDE4.marble import *`

Inherits: QObject
Namespace: Marble

## Detailed Description

## Signals
| centerSun ()
| reenableWidgetInput ()
| updateStars ()
| updateSun ()
## Methods
| __init__ (self, ExtDateTime dateTime)
| __init__ (self, Marble.SunLocator a0)
| centerSun (self)
ExtDateTime | datetime (self)
bool | getCentered (self)
bool | getCitylights (self)
float | getLat (self)
float | getLon (self)
bool | getShow (self)
| reenableWidgetInput (self)
| setBody (self, QString body)
| setCentered (self, bool show)
| setCitylights (self, bool show)
| setShow (self, bool show)
| shadePixel (self, QRgb pixcol, float shade)
| shadePixelComposite (self, QRgb pixcol, QRgb dpixcol, float shade)
float | shading (self, float lon, float lat)
| update (self)
| updateStars (self)
| updateSun (self)

## Method Documentation

__init__ | ( | self, |
|  | ExtDateTime | dateTime
| ) |  |  |

At the moment Sunlocator does not take ownership of dateTime. However in the destructor there is a delete commented out. So strictly Q_DISABLE_COPY is not necessary in this class. FIXME: clearify this issue.

__init__ | ( | self, |
|  | Marble.SunLocator | a0
| ) |  |  |

centerSun | ( |  | self ) |

Signal syntax:
  `QObject.connect(source, SIGNAL("centerSun()"), target_slot)`

ExtDateTime datetime | ( |  | self ) |

bool getCentered | ( |  | self ) |

bool getCitylights | ( |  | self ) |

float getLat | ( |  | self ) |

float getLon | ( |  | self ) |

bool getShow | ( |  | self ) |

reenableWidgetInput | ( |  | self ) |

Signal syntax:
  `QObject.connect(source, SIGNAL("reenableWidgetInput()"), target_slot)`

setBody | ( | self, |
|  | QString | body
| ) |  |  |

setCentered | ( | self, |
|  | bool | show
| ) |  |  |

setCitylights | ( | self, |
|  | bool | show
| ) |  |  |

setShow | ( | self, |
|  | bool | show
| ) |  |  |

shadePixel | ( | self, |
|  | QRgb | pixcol,
|  | float | shade
| ) |  |  |

shadePixelComposite | ( | self, |
|  | QRgb | pixcol,
|  | QRgb | dpixcol,
|  | float | shade
| ) |  |  |

float shading | ( | self, |
|  | float | lon,
|  | float | lat
| ) |  |  |

update | ( |  | self ) |

updateStars | ( |  | self ) |

Signal syntax:
  `QObject.connect(source, SIGNAL("updateStars()"), target_slot)`

updateSun | ( |  | self ) |

Signal syntax:
  `QObject.connect(source, SIGNAL("updateSun()"), target_slot)`